Loading...
Searching...
No Matches
aaru_flac_ctx Struct Reference

`#include <aaruformat/flac.h>`

## Data Fields

const uint8_t * | src_buffer
size_t | src_len
size_t | src_pos
uint8_t * | dst_buffer
size_t | dst_len
size_t | dst_pos
uint8_t | error

## Detailed Description

Definition at line 22 of file flac.h.

## Field Documentation

## dst_buffer

uint8_t* aaru_flac_ctx::dst_buffer

Definition at line 27 of file flac.h.

Referenced by aaruf_flac_decode_redbook_buffer(), aaruf_flac_encode_redbook_buffer(), encoder_write_callback(), and write_callback().

## dst_len

size_t aaru_flac_ctx::dst_len

Definition at line 28 of file flac.h.

Referenced by aaruf_flac_decode_redbook_buffer(), aaruf_flac_encode_redbook_buffer(), encoder_write_callback(), and write_callback().

## dst_pos

size_t aaru_flac_ctx::dst_pos

Definition at line 29 of file flac.h.

Referenced by aaruf_flac_decode_redbook_buffer(), aaruf_flac_encode_redbook_buffer(), encoder_write_callback(), and write_callback().

## error

uint8_t aaru_flac_ctx::error

Definition at line 30 of file flac.h.

Referenced by aaruf_flac_decode_redbook_buffer(), aaruf_flac_encode_redbook_buffer(), and error_callback().

## src_buffer

const uint8_t* aaru_flac_ctx::src_buffer

Definition at line 24 of file flac.h.

Referenced by aaruf_flac_decode_redbook_buffer(), aaruf_flac_encode_redbook_buffer(), and read_callback().

## src_len

size_t aaru_flac_ctx::src_len

Definition at line 25 of file flac.h.

Referenced by aaruf_flac_decode_redbook_buffer(), aaruf_flac_encode_redbook_buffer(), and read_callback().

## src_pos

size_t aaru_flac_ctx::src_pos

Definition at line 26 of file flac.h.

Referenced by aaruf_flac_decode_redbook_buffer(), aaruf_flac_encode_redbook_buffer(), and read_callback().

The documentation for this struct was generated from the following file:

- include/aaruformat/flac.h